api_platform:
    title: Mangarr API
    version: 1.0.0
    formats:
        json: ['application/json']
        jsonld: ['application/ld+json']
        html: ['text/html']
        jsonhal: ['application/hal+json']
        multipart: ['multipart/form-data']
        cbz: ['application/x-cbz']
    swagger:
        api_keys:
            access_token:
                name: Authorization
                type: header
    docs_formats:
        jsonld: ['application/ld+json']
        jsonopenapi: ['application/vnd.openapi+json']
        html: ['text/html']
    defaults:
        cache_headers:
            vary: ['Content-Type', 'Authorization', 'Origin']
        extra_properties:
            standard_put: true
            rfc_7807_compliant_errors: true
    event_listeners_backward_compatibility_layer: false
    keep_legacy_inflector: false
    mapping:
        paths: 
            - '%kernel.project_dir%/src/Domain/Scraping/Infrastructure/ApiPlatform/Dto'
            - '%kernel.project_dir%/src/Domain/Scraping/Infrastructure/ApiPlatform/Resource'
            - '%kernel.project_dir%/src/Domain/Manga/Infrastructure/ApiPlatform/Resource'
            - '%kernel.project_dir%/src/Domain/Setting/Infrastructure/ApiPlatform/Resource'
            - '%kernel.project_dir%/src/Domain/Reader/Infrastructure/ApiPlatform/Resource'
            - '%kernel.project_dir%/src/Domain/Conversion/Infrastructure/ApiPlatform/Resource'
            - '%kernel.project_dir%/src/Domain/Shared/Infrastructure/ApiPlatform/Resource'
    patch_formats:
        json: ['application/merge-patch+json']
